Bug 1122577 - Review Request: git-xcleaner - TUI interface for git branch removal
Summary: Review Request: git-xcleaner - TUI interface for git branch removal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:20 UTC by Lukas Zapletal
Modified: 2016-05-07 12:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 20:54:51 UTC
fale: fedora-review+


Attachments (Terms of Use)

Description Lukas Zapletal 2014-07-23 14:20:48 UTC
Spec URL: http://lzap.fedorapeople.org/fedora-packaging/git-xcleaner/1.0-1/git-xcleaner.spec
SRPM URL: http://lzap.fedorapeople.org/fedora-packaging/git-xcleaner/1.0-1/git-xcleaner-1.1-1.fc20.src.rpm

Description: 
git-xcleaner helps with deleting unused topic branches using TUI (text user
interface). It also offers mechanisms for pre-selecting branches that can be
safely removed.

Fedora Account System Username: lzap

http://koji.fedoraproject.org/koji/taskinfo?taskID=7185384

Comment 1 Fabio Alessandro Locati 2014-07-23 18:51:35 UTC
Hi,
I'm new and not yet sponsored, but I'm doing this review since it has been asked me in https://bugzilla.redhat.com/show_bug.cgi?id=1062942 and this was the first bug of the list.

Before formal review, I've noticed that the source is a file, while on the wiki is strongly suggested to use a valid URL. I've also noticed that there is a potential URL at https://github.com/lzap/git-xcleaner/archive/git-xcleaner-1.1-1.tar.gz.

Comment 2 Lukas Zapletal 2014-07-24 06:26:16 UTC
Hey,

thanks for the flag and initial review.

Github tarballs used to be problematic due to githashes in the tarballs but it looks like they changed it:

git-xcleaner-git-xcleaner-1.1-1/.gitignore
git-xcleaner-git-xcleaner-1.1-1/LICENSE
git-xcleaner-git-xcleaner-1.1-1/README.md
git-xcleaner-git-xcleaner-1.1-1/git-xcleaner
git-xcleaner-git-xcleaner-1.1-1/git-xcleaner.spec
git-xcleaner-git-xcleaner-1.1-1/man/
git-xcleaner-git-xcleaner-1.1-1/man/git-xcleaner.md
git-xcleaner-git-xcleaner-1.1-1/man/git-xcleaner.txt
git-xcleaner-git-xcleaner-1.1-1/rel-eng/
git-xcleaner-git-xcleaner-1.1-1/rel-eng/packages/
git-xcleaner-git-xcleaner-1.1-1/rel-eng/packages/.readme
git-xcleaner-git-xcleaner-1.1-1/rel-eng/packages/git-xcleaner
git-xcleaner-git-xcleaner-1.1-1/rel-eng/tito.props
git-xcleaner-git-xcleaner-1.1-1/screenshots/
git-xcleaner-git-xcleaner-1.1-1/screenshots/01_main_menu.png
git-xcleaner-git-xcleaner-1.1-1/screenshots/02_select.png

So I assume I can use %{name}-%{name} here which is - weird - but it will work.

Please go ahead with the review and I will change this in the next release. Thanks!

Comment 3 Christopher Meng 2014-07-24 07:05:28 UTC
(In reply to Lukas Zapletal from comment #2)
> So I assume I can use %{name}-%{name} here which is - weird - but it will
> work.

The way you tag your project is weird, actually it's confusing.

You should tag it directly in github with something like 1.1 or v1.1.

Then download the source and use this link in your SPEC:

https://github.com/lzap/git-xcleaner/archive/1.1.tar.gz#/%{name}-%{version}.tar.gz

Now your tag is git-xcleaner-1.1-1. I'm sorry but I think it's a crap. First I don't think your project worth some alpha/beta in the tags, second what does -1 means? Why not 1.1.1?

Take a look at the packages using source from github, I think you will understand:

http://pkgs.fedoraproject.org/cgit/git-cola.git/tree/git-cola.spec#n7

Comment 4 Fabio Alessandro Locati 2014-07-24 08:12:58 UTC
I've to agree with Christopher that the way you tagged is weird, even because if the upstream version is 1.1-1, would be wrong to tag the Fedora Package as 1.1-1, since it should be tagged as 1.1-1-1 (I'm not suggesting to do it, I'm only saying that the coherence is needed). Since we are talking about the versioning of the project... where did the 1.0 is/was/have been? I think the wikipedia page http://en.wikipedia.org/wiki/Software_versioning has a lot of great ideas and suggestions on how to tag a software. Every method is acceptable (some software are not tagged at all), but some methods are easier to be managed by the packagers and by the users.

Comment 5 Lukas Zapletal 2014-07-24 09:19:50 UTC
Chris,

my tag is fine, I use tito tool (https://github.com/dgoodwin/tito) which is configured by default to store RELEASE in tags and I want to do that, because it is _very_ helpful to track whole nvre as tags. Tito has mechanisms to check for pushed tags when submitting builds into Koji (or making release tarballs), because the SPEC file is part of the upstream project in this case. This is how it works and there are many other projects with the similar approach (e.g. Spacewalk - https://git.fedorahosted.org/cgit/spacewalk.git/refs/tags).

It is not confusing if you realize that the SPEC file is part of the upstream project, I will be the Fedora maintainer. Other distribution maintainers can safely ignore the release, it is only used to fix bugs in the Fedora packaging. The tito tool is capable of making _correct_ tarballs (/tmp/tito/git-xcleaner-1.1.tar.gz in my case).

I have never intended to use github.com tarball feature for the reason I've described above. Therefore I will add this as Source URL:

http://lzap.fedorapeople.org/projects/git-xcleaner/git-xcleaner-1.1.tar.gz

My versioning convention will be 1.1234, because this tiny tool is not worth three levels in versioning scheme. To be honeste, I like simple number versioning scheme (e.g. Google Chrome or systemd), but I am fine with the standard two levels.

Since I had one upstream change (changed welcome text), I released new version 1.2 which contains this change plus the new URL upstream tarball site:

http://lzap.fedorapeople.org/fedora-packaging/git-xcleaner/1.2-1/

Comment 6 Christopher Meng 2014-07-24 09:37:17 UTC
(In reply to Lukas Zapletal from comment #5)
> Chris,
> 
> my tag is fine, I use tito tool (https://github.com/dgoodwin/tito) which is
> configured by default to store RELEASE in tags and I want to do that,
> because it is _very_ helpful to track whole nvre as tags. Tito has
> mechanisms to check for pushed tags when submitting builds into Koji (or
> making release tarballs), because the SPEC file is part of the upstream
> project in this case. This is how it works and there are many other projects
> with the similar approach (e.g. Spacewalk -
> https://git.fedorahosted.org/cgit/spacewalk.git/refs/tags).

Yes, and I often see this kind of "fine" tags in projects relating to RH.

> It is not confusing if you realize that the SPEC file is part of the
> upstream project, I will be the Fedora maintainer. Other distribution
> maintainers can safely ignore the release, it is only used to fix bugs in
> the Fedora packaging. The tito tool is capable of making _correct_ tarballs
> (/tmp/tito/git-xcleaner-1.1.tar.gz in my case).

Yes, and then the Source tag comes without fill link. 

https://fedoraproject.org/wiki/Packaging:SourceURL

> My versioning convention will be 1.1234, because this tiny tool is not worth
> three levels in versioning scheme. To be honeste, I like simple number
> versioning scheme (e.g. Google Chrome or systemd), but I am fine with the
> standard two levels.

Up to you.

Comment 7 Lukas Zapletal 2014-07-24 10:27:50 UTC
> Yes, and I often see this kind of "fine" tags in projects relating to RH.

Indeed, tito was created by ex-Spacewalk guy and many other folks around this project got used to it. I am open for other releasing tool recommendations but this one has really many features tight to Fedora, RPMs and the workflow. The key concept here is when the upstream author is also the package maintaner. All is done by tito, then imported as SRPM into distgit.

> Yes, and then the Source tag comes without fill link. 
> 
> https://fedoraproject.org/wiki/Packaging:SourceURL

Sorry, what you mean?

Comment 8 Fabio Alessandro Locati 2014-07-24 17:51:34 UTC
- rpmlint returns:

rpmlint git-xcleaner-1.2-1.fc20.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2 ) OK, text in %doc, matches source
- spec file legible, in American English
- mantainer is upstream developer
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use almost consistent (1)
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

(1): http://lzap.fedorapeople.org/projects/git-xcleaner/%{name}-%{version}.tar.gz one time is used git-xcleaner and the other one %{name}. I think it should be http://lzap.fedorapeople.org/projects/%{name}/%{name}-%{version}.tar.gz

Out of the macro consistency pointed here, I think is all clean :)

Comment 9 Lukas Zapletal 2014-08-11 12:00:51 UTC
Ok thanks, in the meantime I've released version 1.3 which contains the change requested. Here is the SPEC and SRPM:

https://lzap.fedorapeople.org/fedora-packaging/git-xcleaner/1.3-1/git-xcleaner.spec
https://lzap.fedorapeople.org/fedora-packaging/git-xcleaner/1.3-1/git-xcleaner-1.3-1.fc20.src.rpm

Comment 10 Fabio Alessandro Locati 2014-08-11 12:07:48 UTC
Now it looks ok :). Giving the fedora-review + flag

Comment 11 Gwyn Ciesla 2016-03-09 13:53:52 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/git-xcleaner

Comment 12 Fedora Update System 2016-03-11 14:51:42 UTC
git-xcleaner-1.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ab7e5802a

Comment 13 Fedora Update System 2016-03-11 19:25:09 UTC
git-xcleaner-1.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ab7e5802a

Comment 14 Fedora Update System 2016-03-14 11:24:06 UTC
git-xcleaner-1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f59873d6b

Comment 15 Fedora Update System 2016-03-14 14:05:31 UTC
git-xcleaner-1.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c5ba6205a9

Comment 16 Fedora Update System 2016-03-15 09:10:46 UTC
git-xcleaner-1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1695441259

Comment 17 Fedora Update System 2016-03-15 09:19:51 UTC
git-xcleaner-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a66b7c5bcf

Comment 18 Fedora Update System 2016-03-15 11:19:21 UTC
git-xcleaner-1.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f06af08ea0

Comment 19 Fedora Update System 2016-03-15 21:30:35 UTC
git-xcleaner-1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1695441259

Comment 20 Fedora Update System 2016-03-16 02:51:06 UTC
git-xcleaner-1.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f06af08ea0

Comment 21 Fedora Update System 2016-03-16 15:23:28 UTC
git-xcleaner-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a66b7c5bcf

Comment 22 Fedora Update System 2016-04-26 20:54:48 UTC
git-xcleaner-1.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-04-26 23:55:19 UTC
git-xcleaner-1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-05-07 12:12:22 UTC
git-xcleaner-1.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.